<!-- Modal content -->
<div class="modal fade" id="rate" tabindex="-1" aria-labelledby="rateLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="fw-bold mb-1" id="rateLabel">Give us your rate and review</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form id="add-rate">
              <!-- Add new rate and review comments-->
              <div class="card-body p-4">
                <div class="d-flex flex-start">
                    <img 
                      class="rounded-circle shadow-1-strong me-3"
                      src={% if avatar %} {{avatar}} {% else %}{url_for('static',filename="/img/user.png")}}{% endif %}
                      alt="avatar"
                      width="40"
                      height="40"
                    />
                  <div>
                    <div>
                        <label for="input-7-xs" class="control-label">
                            <div class="container mt-5">
                              <div class="row">
                                  <input type="hidden" id="rate-star" value="{{rating.rating_score}}"/>
                                  <div class="ratings">
                                    <div class="rate" data-size="xs">
                                      <input type="radio" id="star5" class="star" name="rate" value="5" />
                                      <label for="star5" title="Excellent">5 stars</label>
                                      <input type="radio" id="star4"  class="star" name="rate" value="4" />
                                      <label for="star4" title="Very Good">4 stars</label>
                                      <input type="radio" id="star3" class="star" name="rate" value="3" />
                                      <label for="star3" title="Good">3 stars</label>
                                      <input type="radio" id="star2" class="star" name="rate" value="2" />
                                      <label for="star2" title="Fairly Good">2 stars</label>
                                      <input type="radio" id="star1" class="star" name="rate" value="1" />
                                      <label for="star1" title="Must try harder">1 star</label>
                                    </div>
                                </div>
                              </div>
                            </div>                
                        </label>
                    </div>
                  </div>
                </div>
              </div>
              <div class="mb-3">
                <label class="col-form-label">Write a review:</label>
                <textarea type="text" name="text" class="form-control" id="message-text" placeholder="write your review here...">{{rating.comment}}</textarea>
              </div>
              <div class="modal-footer">
                <button class="btn btn-primary" id="sendRate" onclick="ratingClick()">Submit</button>
              </div>
          </form>
          </div>
      </div>
    </div>
  </div>